Package Gnumed :: Package wxpython :: Module gmProgressNotesEAWidgets :: Class cProgressNotesEAPnl |
[frames] | no frames]

# Class cProgressNotesEAPnl

source code

                gmTextCtrl.cExpandoTextCtrlHandling_PanelMixin --+
                                                                 |
                                         wx.ScrolledWindow --+   |
                                                             |   |
    wxGladeWidgets.wxgProgressNotesEAPnl.wxgProgressNotesEAPnl --+
                                                                 |
                                                                cProgressNotesEAPnl

    An Edit Area like panel for entering progress notes.

    (
            Subjective:                                     Codes:
                    expando text ctrl
            Objective:                                      Codes:
                    expando text ctrl
            Assessment:                                     Codes:
                    expando text ctrl
            Plan:                                           Codes:
                    expando text ctrl
    )
            OR
    SOAP editor (StyledTextCtrl)
            AND
    visual progress notes (panel with images)
            AND
    Episode synopsis:                       Codes:
            expando text ctrl

    - knows the problem this edit area is about
    - can deal with issue or episode type problems

Instance Methods
__init__(self, *args, **kwargs) | source code
refresh(self) | source code
refresh_summary(self) | source code
refresh_visual_soap(self) | source code
clear(self) | source code
add_visual_progress_note(self) | source code
save(self, emr=None, episode_name_candidates=None, encounter=None) | source code
Inherited from `gmTextCtrl.cExpandoTextCtrlHandling_PanelMixin`: `bind_expando_layout_event`

Class Variables
| soap = `property(_get_soap, lambda x: x)`
| empty = `property(_get_empty, lambda x: x)`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgProgressNotesEAPnl.wxgProgressNotesEAPnl.__init__